import rlcompleter, readline
readline.parse_and_bind('tab:complete')
import numpy as np

from pyhdf.SD import *
import matplotlib.pyplot as plt

execfile('input_polar.py')

SDS_NAME340='BRDF_Reflectance_lambda340'
SDS_NAME380='BRDF_Reflectance_lambda380'
SDS_NAME470='BRDF_Reflectance_lambda470'
SDS_NAME680='BRDF_Reflectance_lambda680'
SDS_NAME870='BRDF_Reflectance_lambda870'
SDS_NAME1036='BRDF_Reflectance_lambda1036'
SDS_NAME1219='BRDF_Reflectance_lambda1219'
SDS_NAME1275='BRDF_Reflectance_lambda1275'
SDS_NAME1275='BRDF_Reflectance_lambda2105'
SDS_NAME=((SDS_NAME340,SDS_NAME380,SDS_NAME470,SDS_NAME680,SDS_NAME870,SDS_NAME1036,SDS_NAME1219,SDS_NAME1275, SDS_NAME2105))

nphi=360.0/del_phi
ntheta=90.0/del_theta+1

inputfile=datadir+inputfile

hdf=SD(inputfile)
sds=hdf.select(SDS_NAME[band_index_to_be_ploted])
data=sds.get()
if(space==0):
 polar_data=data[0:ntheta,0:nphi].T
else:
 polar_data=data[ntheta-1:2*ntheta-1,0:nphi][::-1,:].T


if(maximum==9999):
 maximum=np.nanmax(polar_data)
if(minimum==-9999):
 minimum=np.nanmin(polar_data)


azimuths = np.linspace(0,360,nphi)
zeniths = np.linspace(0,90,ntheta)
theta = np.radians(azimuths)
zeniths = np.array(zeniths)
polar_data = np.array(polar_data)

polar_data = polar_data.reshape(len(azimuths), len(zeniths))

r, theta = np.meshgrid(zeniths, np.radians(azimuths))
fig, ax = plt.subplots(subplot_kw=dict(projection='polar'))
ax.set_yticks(theta_ticks)
ntheta_ticks=len(theta_ticks)
yticklabels=[[None]]*ntheta_ticks
for i in range(0,ntheta_ticks):
 yticklabels[i]='$'+str(theta_ticks[i])+'^{\circ}$'
ax.set_yticklabels(yticklabels)

nphi_ticks=len(phi_ticks)
ax.set_xticks(np.array(phi_ticks)*np.pi/180.0)
xticklabels=[[None]]*nphi_ticks
for i in range(0,nphi_ticks):
 xticklabels[i]='$'+str(phi_ticks[i])+'^{\circ}$'
ax.set_xticklabels(xticklabels)

ax.set_theta_zero_location("N")
ax.set_theta_direction(-1)
ax.tick_params(axis='theta',which='major',pad=0.5)
level_interval=(maximum-minimum)/nlevel
cax = ax.contourf(theta, r,polar_data,np.arange(minimum,maximum,level_interval),extend='both',cmap=cmap)
if(colorbar==0):
 cb = fig.colorbar(cax,format=colorbar_format,pad=0.06)
ncolorbar_ticks=len(colorbar_ticks)
colorbarlabels=[[None]]*ncolorbar_ticks
for i in range(0,ncolorbar_ticks):
 colorbarlabels[i]=str(colorbar_ticks[i])
if(colorbar==1):
 cb = fig.colorbar(cax,format=colorbar_format,ticks=colorbar_ticks,pad=0.06)
 cb.set_ticklabels(colorbarlabels)
#cb.set_label("Reflectance")
plt.savefig(output_filename, dpi=dpi,bbox_inches='tight', format='png')
plt.clf()

