import rlcompleter, readline
readline.parse_and_bind('tab:complete')
import numpy as np
from scipy import stats
import matplotlib.pyplot as plt
from matplotlib.legend_handler import HandlerLine2D

from pyhdf.SD import *

execfile('input_sl.py')

SDS_NAME340='BRDF_Reflectance_lambda340'
SDS_NAME380='BRDF_Reflectance_lambda380'
SDS_NAME470='BRDF_Reflectance_lambda470'
SDS_NAME680='BRDF_Reflectance_lambda680'
SDS_NAME870='BRDF_Reflectance_lambda870'
SDS_NAME1036='BRDF_Reflectance_lambda1036'
SDS_NAME1219='BRDF_Reflectance_lambda1219'
SDS_NAME1275='BRDF_Reflectance_lambda1275'
SDS_NAME=((SDS_NAME340,SDS_NAME380,SDS_NAME470,SDS_NAME680,SDS_NAME870,SDS_NAME1036,SDS_NAME1219,SDS_NAME1275))

nphi=360.0/del_phi
ntheta=90.0/del_theta+1

nphi=int(nphi)
ntheta=int(ntheta)

inputfile=datadir+inputfile
brf_data=np.zeros((number_of_spectral_bands,nphi,ntheta))

hdf=SD(inputfile)
for i in range(0,number_of_spectral_bands):
 sds=hdf.select(SDS_NAME[i])
 data=sds.get()
 if(space==0):
  brf_data[i,:,:]=data[0:ntheta,0:nphi].T
 else:
  brf_data[i,:,:]=data[ntheta-1:2*ntheta-1,0:nphi][::-1,:].T
npoints=len(input_phi)
colors=iter(plt.cm.gist_rainbow(np.linspace(0,1,npoints)))

xaxis=wavelengths
fig = plt.figure(figsize=(width,height))
for i in range(0,npoints):
 line1, = plt.plot(xaxis,brf_data[:,input_phi[i]-1,input_theta[i]],color=next(colors), linewidth=linew,label='$\\theta$=%d,$\phi$=%d' %(input_theta[i],input_phi[i]))
 plt.scatter(xaxis,brf_data[:,input_phi[i]-1,input_theta[i]],color=line1.get_color(),s=scatterw,edgecolor='none')
plt.legend(handler_map={line1: HandlerLine2D(numpoints=3)},loc=legend_location,ncol=ncolumn,fontsize=lfont,frameon=False)
plt.ylim(lower_limit_yaxis,upper_limit_yaxis)
plt.xlim(lower_limit_xaxis,upper_limit_xaxis)
plt.xlabel('Channel')
plt.ylabel('BRF')
#x=[0.34,0.38,0.47,0.68,0.87,1.04,1.22,1.27,1.66]
#y=['0.34','0.38','0.47','0.68','0.87','1.04','1.22','1.27','1.66']
#plt.xticks(x,y)
#plt.xticks(rotation=90)
plt.savefig(output_filename, dpi=dpi,bbox_inches='tight', format='png')
plt.show()


